Skip to main content
PUT
https://{tenantDomain}/api/v2
/
guardian
/
policies
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := []management.MfaPolicyEnum{
        management.MfaPolicyEnumAllApplications,
    }
    client.Guardian.Policies.Set(
        context.TODO(),
        request,
    )
}
[
  "all-applications"
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

The MFA policy

Available options:
all-applications,
confidence-score

Response

Policies updated

The MFA policy

Available options:
all-applications,
confidence-score